- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.RebrandingSettingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings/rebrandingSettings#body.aspect_1)

**Full name**: projects.locations.instances.moduleSettings.rebrandingSettings

Retrieves the branding and visual customization settings for the SecOps platform. Use this method to obtain assets like company logos and favicons, as well as their display preferences in the header or login screen.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/moduleSettings:rebrandingSettings`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where the module settings are located. Format: projects/{project}/locations/{location}/instances/{instance}/moduleSettings/{module} |

### Request body

The request body must be empty.

### Response body

Response message for rebrandingSettings.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "imageBase64": string, "faviconBase64": string, "changeFavicon": boolean, "useInLoginScreen": boolean, "useInHeader": boolean } ``` |

| Fields ||
|---|---|
| `imageBase64` | `string` Optional. The base64 encoded image of the company logo. |
| `faviconBase64` | `string` Optional. The base64 encoded image of the company favicon. |
| `changeFavicon` | `boolean` Whether to change the favicon. |
| `useInLoginScreen` | `boolean` Whether to use the company logo in the login screen. |
| `useInHeader` | `boolean` Whether to use the company logo in the header. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.moduleSettings.rebranding`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).